Foreman - Feature #1168

Ability to search for Facts (and Param) without providing a value
09/13/2011 02:00 PM - Bash Shell

Status: Resolved
Priority: Normal
Assignee: Amos Benari
Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description
Currently it is not possible to search like so:

hostgroup = X and fact_name = kernelversion
You have to provide a value for kernelversion.

This makes it much harder to get all hosts which have this fact in this hostgroup.

| can search for fact.name=kernelversion on the facts page, but then | lose the ability to filter by hostgroup or parameters.

Related issues:
Is duplicate of Foreman - Feature #1611: Search for hosts without certain facts New 05/09/2012

History

#1 - 09/14/2011 02:03 AM - Ohad Levy

- Assignee set to Amos Benari

#2 - 10/05/2011 04:28 AM - Tim Speetjens

One could search for the existence of a fact in the hosts page (with other conditions combined) like so:

hostgroup = X and fact.kernelversion != doesnotexist

Searching that a fact does not exist isn't possible like this though, and I think it would be rather difficult to implement.

#3 - 10/24/2013 07:55 AM - Ohad Levy

- Is duplicate of Feature #1611: Search for hosts without certain facts added

#4 - 10/24/2013 07:55 AM - Ohad Levy

- Status changed from New to Duplicate

#5 - 10/24/2013 07:55 AM - Ohad Levy
- Description updated

- Status changed from Duplicate to Need more information

#6 - 02/19/2014 04:19 PM - Ewoud Kohl van Wijngaarden

- Status changed from Need more information to Resolved

This should be marked as resolved since you can search for:
hostgroup = X and facts.kernelversion ~ *

If this is insufficient, please re-open.
